# Uses of Interface
java.lang.classfile.attribute.LocalVariableTypeInfo

Packages that use LocalVariableTypeInfo
Package
Description
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

## Uses of LocalVariableTypeInfo in java.lang.classfile.attribute

Methods in java.lang.classfile.attribute that return types with arguments of type LocalVariableTypeInfo
Modifier and Type
Method
Description
`List<LocalVariableTypeInfo>`
LocalVariableTypeTableAttribute.`localVariableTypes()`
Returns debug information for the local variables with generic types in this method.
Method parameters in java.lang.classfile.attribute with type arguments of type LocalVariableTypeInfo
Modifier and Type
Method
Description
`static LocalVariableTypeTableAttribute`
LocalVariableTypeTableAttribute.`of(List<LocalVariableTypeInfo> locals)`
Returns a `LocalVariableTypeTable` attribute.